<?php

namespace CarDealerPress\Includes\Helpers;

use CarDealerPress\includes\functions\Logger;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Transients {

	public static function delete_all($blog_id){
		self::delete_cdp_company_processing($blog_id);
		self::delete_cdp_check_for_company_update($blog_id);
		self::delete_cdp_company_check_update_handler_processing($blog_id);
	}

	public static function delete_cdp_company_processing($blog_id) {
		delete_transient( 'cdp_company_processing_' . $blog_id );

	}

	public static function delete_cdp_check_for_company_update($blog_id) {
		delete_transient( 'cdp_check_for_company_update_' . $blog_id );
	}

	public static function delete_cdp_company_check_update_handler_processing($blog_id) {
		delete_transient( 'cdp_company_check_update_handler_processing_' . $blog_id );
	}

}
